// Color vars
$blue: #0d6efd;
$indigo: #6610f2;
$purple: #6f42c1;
$pink: #d63384;
$red: #dc3545;
$orange: #fd7e14;
$yellow: #ffc107;
$green: #198754;
$teal: #20c997;
$cyan: #0dcaf0;

// Theme Colors
$primary: rgb(126, 255, 211);
$secondary: rgb(126, 255, 211);

// Custom Scrollbars
$custom-scrollbar: true;

// Options Bootstrap
$enable-caret: true;
$enable-rounded: true;
$enable-shadows: false;
$enable-gradients: false;
$enable-transitions: true;
$enable-reduced-motion: true;
$enable-smooth-scroll: true;
$enable-grid-classes: true;
$enable-button-pointers: true;
$enable-rfs: true;
$enable-validation-icons: true;
$enable-negative-margins: false;
$enable-deprecation-messages: true;
$enable-important-utilities: true;

$spacer: 1rem;

// Grayscale vars
$gray-100: #f8f9fa;
$gray-200: #e9ecef;
$gray-300: #dee2e6;
$gray-400: #ced4da;
$gray-500: #adb5bd;
$gray-600: #6c757d;
$gray-700: #495057;
$gray-800: #343a40;
$gray-900: #212529;

// Fonts
$font-family-sans-serif: system-ui, -apple-system, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans",
    "Liberation Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
$font-family-serif: Georgia, "Times New Roman", Times, serif;
$font-family-monospace: SFMono-Regular, Menlo, Monaco, Consolas, "Liberation Mono", "Courier New", monospace;
$font-family-base: $font-family-sans-serif;

$link-decoration: none;

// Sizing

$utilities: (
  "width": (
    property: width,
    responsive: true,
    class: w,
    values: (
      10: 10%,
      15: 15%,
      20: 20%,
      25: 25%,
      30: 30%,
      35: 35%,
      40: 40%,
      45: 45%,
      50: 50%,
      55: 55%,
      60: 60%,
      65: 65%,
      70: 70%,
      75: 75%,
      80: 80%,
      85: 85%,
      90: 90%,
      95: 95%,
      100: 100%,
      auto: auto
    )
  ),
  "height": (
    property: height,
    responsive: true,
    class: h,
    values: (
      10: 10%,
      15: 15%,
      20: 20%,
      25: 25%,
      30: 30%,
      35: 35%,
      40: 40%,
      45: 45%,
      50: 50%,
      55: 55%,
      60: 60%,
      65: 65%,
      70: 70%,
      75: 75%,
      80: 80%,
      85: 85%,
      90: 90%,
      95: 95%,
      100: 100%,
      10v: 10vh,
      15v: 15vh,
      20v: 20vh,
      25v: 25vh,
      30v: 30vh,
      35v: 35vh,
      40v: 40vh,
      45v: 45vh,
      50v: 50vh,
      55v: 55vh,
      60v: 60vh,
      65v: 65vh,
      70v: 70vh,
      75v: 75vh,
      80v: 80vh,
      85v: 85vh,
      90v: 90vh,
      95v: 95vh,
      100v: 100vh,
      auto: auto
    )
  ),
  "position": (
    property: position,
    responsive: true,
    class: position,
    values: (
      fixed: fixed,
      relative: relative,
      absolute: absolute,
    )
  ),
  "opacity": (
      property: opacity,
      values: (
        0: 0,
        15: .15,
        25: .25,
        35: .35,
        50: .5,
        65: .65,
        75: .75,
        90: .90,
        100: 1,
      )
    ),
);

// Spacing
$spacer: 1rem;
$spacers: (
  0: 0,
  1: $spacer * .25,
  2: $spacer * .5,
  3: $spacer,
  4: $spacer * 1.5,
  5: $spacer * 3,
  6: $spacer * 4,
  7: $spacer * 5,
  8: $spacer * 6,
  9: $spacer * 7,
  10: $spacer * 8,
  11: $spacer * 9,
  12: $spacer * 10,
  13: $spacer * 11,
  14: $spacer * 12,
  15: $spacer * 13
);

// Positions
$position-spacer: 1rem;
$position-values: (
  auto: auto,
  0: 0,
  10: 10%,
  20: 20%,
  30: 30%,
  40: 40%,
  50: 50%,
  60: 60%,
  70: 70%,
  80: 80%,
  90: 90%,
  100: 100%,
  1r: $position-spacer * .25,
  2r: $position-spacer * .5,
  3r: $position-spacer,
  4r: $position-spacer * 1.5,
  5r: $position-spacer * 3,
  6r: $position-spacer * 4,
  7r: $position-spacer * 5,
  8r: $position-spacer * 6,
  9r: $position-spacer * 7,
  10r: $position-spacer * 8
);

$grid-gutter-width: 1.5rem;
$gutters: (
  0: 0,
  1: $spacer * .25,
  2: $spacer * .5,
  3: $spacer,
  4: $spacer * 1.5,
  5: $spacer * 3,
  6: $spacer * 4,
  7: $spacer * 5,
  8: $spacer * 6,
  9: $spacer * 7,
  10: $spacer * 8
);